Subject: Re: [PATCH net-next v9 5/6] net: tn40xx: add mdio bus support

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 10 Jun 2024 11:04:54 +0100

On Thu, Jun 06, 2024 at 08:26:07AM +0900, FUJITA Tomonori wrote:
> +static int tn40_mdio_get(struct tn40_priv *priv, u32 *val)

I think this would be better named "tn40_mdio_wait_nonbusy()" because
that seems to be this function's primary purpose.

> +static int tn40_mdio_read_cb(struct mii_bus *mii_bus, int addr, int devnum,
> +			     int regnum)
> +static int tn40_mdio_write_cb(struct mii_bus *mii_bus, int addr, int devnum,
> +			      int regnum, u16 val)

I think it would be better to name these both with a _c45 suffix (which
tells us that they're clause 45 accessors) rather than using _cb
(presumably for callback which tells us nothing!)

Thanks!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!